org.apache.poi.hslf.usermodel

## Class HSLFSlideMaster

- java.lang.Object
- - org.apache.poi.hslf.usermodel.HSLFSheet
  - - org.apache.poi.hslf.usermodel.HSLFMasterSheet
    - - org.apache.poi.hslf.usermodel.HSLFSlideMaster

- All Implemented Interfaces:
    java.lang.Iterable<HSLFShape>, HSLFShapeContainer, MasterSheet<HSLFShape,HSLFTextParagraph>, ShapeContainer<HSLFShape,HSLFTextParagraph>, Sheet<HSLFShape,HSLFTextParagraph>

      public final class HSLFSlideMaster
      extends HSLFMasterSheet

  SlideMaster determines the graphics, layout, and formatting for all the slides in a given presentation. It stores information about default font styles, placeholder sizes and positions, background design, and color schemes.
  Author:
    Yegor Kozlov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HSLFSlideMaster(MainMaster record, int sheetNo)` Constructs a SlideMaster from the MainMaster record,

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HSLFMasterSheet` | `getMasterSheet()` Returns `null` since SlideMasters doen't have master sheet.
    `TextPropCollection` | `getPropCollection(int txtype, int level, java.lang.String name, boolean isCharacter)` Find the master collection for the given txtype/level/name.
    `java.util.List<java.util.List<HSLFTextParagraph>>` | `getTextParagraphs()` Returns an array of all the TextRuns found
    `TxMasterStyleAtom[]` | `getTxMasterStyleAtoms()`
    `protected void` | `onAddTextShape(HSLFTextShape shape)` Subclasses should call this method and update the array of text runs when a text shape is added
    `protected void` | `setSlideShow(HSLFSlideShow ss)` Assign SlideShow for this slide master.

    - ### Methods inherited from class org.apache.poi.hslf.usermodel.HSLFMasterSheet

      `isPlaceholder`

    - ### Methods inherited from class org.apache.poi.hslf.usermodel.HSLFSheet

      `_getSheetNumber, _getSheetRefId, addShape, allocateShapeId, createAutoShape, createConnector, createFreeform, createGroup, createOleShape, createPicture, createTable, createTextBox, draw, getBackground, getColorScheme, getFollowMasterGraphics, getHeadersFooters, getPlaceholder, getPlaceholderByTextType, getPlaceholderDetails, getPPDrawing, getProgrammableTag, getShapes, getSheetContainer, getSlideShow, iterator, onCreate, removeShape`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.MasterSheet

      `getPlaceholder`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.Sheet

      `draw, getBackground, getFollowMasterGraphics, getPlaceholderDetails, getSlideShow`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.ShapeContainer

      `addShape, createAutoShape, createConnector, createFreeform, createGroup, createOleShape, createPicture, createTable, createTextBox, getShapes, removeShape`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Constructor Detail

    - #### HSLFSlideMaster

          public HSLFSlideMaster(MainMaster record,
                                 int sheetNo)

      Constructs a SlideMaster from the MainMaster record,

  - ### Method Detail

    - #### getTextParagraphs

          public java.util.List<java.util.List<HSLFTextParagraph>> getTextParagraphs()

      Returns an array of all the TextRuns found
      Specified by:
        `getTextParagraphs` in class `HSLFSheet`

    - #### getMasterSheet

          public HSLFMasterSheet getMasterSheet()

      Returns `null` since SlideMasters doen't have master sheet.
      Specified by:
        `getMasterSheet` in interface `Sheet<HSLFShape,HSLFTextParagraph>`
      Specified by:
        `getMasterSheet` in class `HSLFSheet`

    - #### getPropCollection

          public TextPropCollection getPropCollection(int txtype,
                                                      int level,
                                                      java.lang.String name,
                                                      boolean isCharacter)

      Find the master collection for the given txtype/level/name. This is the "workhorse" which returns the default style attributes. If `name = "*"` return the current collection, otherwise if the name is not found in the current selection of txtype/level/name, first try lower levels then try parent types, if it wasn't found there return `null`.
      Specified by:
        `getPropCollection` in class `HSLFMasterSheet`
      Parameters:
        `txtype` - the `TextHeaderAtom` type
        `level` - the indent level of the paragraph, if the level is not defined for the found collection, the highest existing level will be used
        `name` - the property name,
        `isCharacter` - if `true` use character styles, otherwise use paragraph styles

    - #### setSlideShow

          @Internal
          protected void setSlideShow(HSLFSlideShow ss)

      Assign SlideShow for this slide master.
      Overrides:
        `setSlideShow` in class `HSLFSheet`

    - #### onAddTextShape

          protected void onAddTextShape(HSLFTextShape shape)

      Description copied from class: `HSLFSheet`
      Subclasses should call this method and update the array of text runs when a text shape is added
      Overrides:
        `onAddTextShape` in class `HSLFSheet`

    - #### getTxMasterStyleAtoms

          public TxMasterStyleAtom[] getTxMasterStyleAtoms()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.